require_relative '../tunnel_blick'

module TunnelBlick

  class << self
    attr_accessor :config_dirs, :countries, :providers, :conn_sleep
    attr_accessor :uniq_tries

    def my_ip
      begin
        open('http://icanhazip.com').read.strip
      rescue => e
        sputs 'Error! Could not get ip!'
        sputs e.message
        sputs e.to_s
      end
    end

    def set_connect_sleep (sleep)
      TunnelBlick.conn_sleep = sleep
    end

    def set_countries (*countries)
      TunnelBlick.countries = countries
    end

    def set_unique_attempts (tries)
      TunnelBlick.uniq_tries = tries
    end

  end

end