require "tunnel_blick/version"

require 'rubygems'
require 'bundler'
Bundler.require(:default)

require 'facets/string/titlecase'
require 'open-uri'
require 'ostruct'
require 'pg'
require 'rb-scpt'
require 'sequel'

module TunnelBlick

  class << self
    attr_accessor :ip_db, :details

    def database= (database)
      TunnelBlick.ip_db = database
      require_relative 'tunnel_blick/models'
    end

  end

end

require_relative 'tunnel_blick/module_methods'
require_relative 'tunnel_blick/tunnel'
require_relative 'tunnel_blick/express_vpn'
require_relative 'tunnel_blick/ip_methods'
require_relative 'tunnel_blick/logging'
